<?php
/*
 CLASE PARA LA GESTION DE AREAS
*/
require_once "db.class.php";

class area extends database {

	/* REALIZA UNA CONSULTA A LA BASE DE DATOS EN BUSCA DE  REGISTROS DE AREAS 
		 OUTPUT:
		 $data | Array con los registros obtenidos, si no existen datos, su valor es una cadena vacia
	 */
        function area(){}


        //----------------------------------
        function total_reg()
	{
	   //conexion a la base de datos
	   $this->conectar(); $this->consulta("set names 'utf8'");
           $query = $this->consulta("select * from areas");

           return ($this->numero_de_filas($query));
           $this->disconnect();

	}

        //---------------------------------

	function areass($inicio)
	{
	$data=array();
            //conexion a la base de datos
		$this->conectar();		
		
                $query = $this->consulta("select * from areas order by descripcion limit ".$inicio.",10");
    
                $this->disconnect();
		if($this->numero_de_filas($query) > 0) // existe -> datos correctos
		{
			//se llenan los datos en un array
			while ( $tsArray = $this->fetch_assoc($query) ) 
				$data[] = $tsArray;			                             
		}
		return $data;
	}
	
}

?>